GET
/v1/platform/automation/dictionaryGET /v1/platform/automation/dictionary
Scopes: platform:automation:read
Requires scope: platform:automation:read.
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
trigger_types | TriggerTypeDictionaryEntry[] | no | |
operation_types | OperationTypeDictionaryEntry[] | no | |
operation_type_actions | OperationTypeActionDictionaryEntry[] | no | |
rule_types | RuleTypeDictionaryEntry[] | no | |
order_fields | OrderFieldDictionaryEntry[] | no | |
order_field_date_values | FieldValueDictionaryEntry[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/platform/automation/dictionary', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);